For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
CommunityCreate AccountSign in
  • Overview
    • Welcome
    • Authentication
    • Using Environments
  • API Reference
      • GETList data retention policies
      • POSTCreate a data retention policy
      • GETGet a data retention policy
      • PATCHUpdate a data retention policy
      • DELDelete a data retention policy
LogoLogo
LogoLogo
CommunityCreate AccountSign in
API ReferenceData Retention Policies

List data retention policies

GET
https://api.x.flatfile.com/v1/data-retention-policies
GET
/v1/data-retention-policies
$curl -G https://api.x.flatfile.com/v1/data-retention-policies \
> -H "X-Disable-Hooks: true" \
> -H "Authorization: Bearer <token>" \
> -d environmentId=us_env_YOUR_ID
1{
2 "data": [
3 {
4 "createdAt": "2023-11-15T19:31:33.015Z",
5 "environmentId": "us_env_YOUR_ID",
6 "id": "us_drp_YOUR_ID",
7 "period": 5,
8 "type": "lastActivity",
9 "updatedAt": "2023-11-15T19:31:33.015Z"
10 }
11 ]
12}
Returns all data retention policies on an account matching a filter for environmentId
Was this page helpful?
Previous

Create a data retention policy

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

X-Disable-Hooks"true"Required

Query parameters

environmentIdstringOptional
The associated Environment ID of the policy.

Response

This endpoint returns an object.
datalist of objects

Errors

400
Bad Request Error
404
Not Found Error